### Function

# Gimp Resource id_is_valid

unstable since: 3.0

#### Declaration [src]

    gboolean
    gimp_resource_id_is_valid (
      gint resource_id
    )

#### Description [src]

Returns TRUE if the resource ID is valid.

This procedure checks if the given resource ID is valid and refers to an existing resource.

Available since: 3.0

#### Parameters

`resource_id`

  Type: `gint`

  The resource ID to check.

#### Return value

Type: `gboolean`

Whether the resource ID is valid.